GET
/
v1
/
teams
/
{teamId}
/
content
/
artifact-runs
/
{runId}
/
events
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.listContentArtifactRunEvents({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  runId: process.env.OCTOSPARK_RUN_ID ?? "runId",
  query: {},
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sequence": 123,
      "eventName": "<string>",
      "payload": {},
      "createdAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

runId
string<uuid>
required

Artifact run id (UUID), as returned by slideshow generation or slide regeneration.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

afterSeq
string

a string to be decoded into a number

limit
string

a string to be decoded into a number

Response

ContentJobEventsResponse

data
object[]
required